Fonction Scilab
Last update : 13/12/2005

tree2code - genère le code ASCII d'une fonction Scilab

### Calling Sequence

  `txt=tree2code(tree,prettyprint)`

### Parameters

- `tree`: arbre représentant une macro (retourné par macr2tree)
- `prettyprint`: booléen optionel
  - `%T`: le code généré est indenté et réarrangé
  - `%F`: le code est inchangé (valeur par défaut)
- `txt`: vecteur colonne de chaînes de caractère, texte contenant les instructions Scilab

### Description

A partir de l'arbre (retourné par macr2tree) d'une fonction Scilab chargée en mémoire, tree2code permet de regénérer le code de la fonction. Les commentaires n'étant pas gardés dans la fonction compilée, ils ne peuvent pas être regénérés.

### Examples

    tree=macr2tree(cosh);
    txt=tree2code(tree,%T);
    write(%io(2),txt,'(a)');

### See Also

`macr2tree`,

### Authors

  V.C.